Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.faces.component.portlet
Class PortletRequestDecoder

    java.lang.Object
      org.jboss.portal.faces.component.portlet.PortletRequestDecoder

    public class PortletRequestDecoder

extends java.lang.Object

This class is a possible implementation for the behavior of a request made to a portlet. Which means that this implementation does not preclude other implementations.

Version:
  $Revision: 6549 $
Author:
  Julien Viet

Field Summary
`static int` | `ACTION_MASK` The mask for action.
`static int` | `ACTION_TYPE` .
`static java.lang.String` | `INTERACTION_STATE_PARAMETER` The name of the URL parameter containing the interaction state.
`static java.lang.String` | `META_PARAMETER` The name of the URL parameter containing the meta information.
`static int` | `MODE_MASK` The mask for mode.
`static java.lang.String` | `MODE_PARAMETER` The name of the URL parameter containing the mode.
`static int` | `NAV_TYPE` .
`static java.lang.String` | `NAVIGATIONAL_STATE_PARAMETER` The name of the URL parameter containing the navigational state.
`static int` | `OPAQUE_MASK` The mask for opacity.
`static int` | `RENDER_MASK` The mask for render.
`static int` | `RENDER_TYPE` .
`static int` | `WINDOW_STATE_MASK` The mask for window state.
`static java.lang.String` | `WINDOW_STATE_PARAMETER` The name of the URL parameter containing the window state.

Constructor Summary
`PortletRequestDecoder()`

Method Summary
`void` | `decode(java.util.Map queryParams, java.util.Map bodyParams)`
`org.jboss.portal.common.util.ParameterMap` | `getForm()`
`org.jboss.portal.portlet.StateString` | `getInteractionState()`
`org.jboss.portal.Mode` | `getMode()`
`org.jboss.portal.portlet.StateString` | `getNavigationalState()`
`int` | `getType()`
`org.jboss.portal.WindowState` | `getWindowState()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ACTION_MASK

    public static final int ACTION_MASK

  The mask for action.

  See Also:
    Constant Field Values

### RENDER_MASK

    public static final int RENDER_MASK

  The mask for render.

  See Also:
    Constant Field Values

### MODE_MASK

    public static final int MODE_MASK

  The mask for mode.

  See Also:
    Constant Field Values

### WINDOW_STATE_MASK

    public static final int WINDOW_STATE_MASK

  The mask for window state.

  See Also:
    Constant Field Values

### OPAQUE_MASK

    public static final int OPAQUE_MASK

  The mask for opacity.

  See Also:
    Constant Field Values

### MODE_PARAMETER

    public static final java.lang.String MODE_PARAMETER

  The name of the URL parameter containing the mode.

  See Also:
    Constant Field Values

### WINDOW_STATE_PARAMETER

    public static final java.lang.String WINDOW_STATE_PARAMETER

  The name of the URL parameter containing the window state.

  See Also:
    Constant Field Values

### INTERACTION_STATE_PARAMETER

    public static final java.lang.String INTERACTION_STATE_PARAMETER

  The name of the URL parameter containing the interaction state.

  See Also:
    Constant Field Values

### NAVIGATIONAL_STATE_PARAMETER

    public static final java.lang.String NAVIGATIONAL_STATE_PARAMETER

  The name of the URL parameter containing the navigational state.

  See Also:
    Constant Field Values

### META_PARAMETER

    public static final java.lang.String META_PARAMETER

  The name of the URL parameter containing the meta information.

  See Also:
    Constant Field Values

### ACTION_TYPE

    public static final int ACTION_TYPE

  .

  See Also:
    Constant Field Values

### RENDER_TYPE

    public static final int RENDER_TYPE

  .

  See Also:
    Constant Field Values

### NAV_TYPE

    public static final int NAV_TYPE

  .

  See Also:
    Constant Field Values

Constructor Detail

### PortletRequestDecoder

    public PortletRequestDecoder()

Method Detail

### decode

    public void decode(java.util.Map queryParams,
                       java.util.Map bodyParams)
                throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### getMode

    public org.jboss.portal.Mode getMode()

### getWindowState

    public org.jboss.portal.WindowState getWindowState()

### getNavigationalState

    public org.jboss.portal.portlet.StateString getNavigationalState()

### getInteractionState

    public org.jboss.portal.portlet.StateString getInteractionState()

### getForm

    public org.jboss.portal.common.util.ParameterMap getForm()

### getType

    public int getType()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD